code            segment byte public
                assume  cs:code, ds:code
		org	100h
slotto          proc    far

start:          jmp     initialize
include         \nxdos\src\toolbox.asm
initialize:

   push cs
   pop  ds
   lea  di, lotto_n
   mov  cx, 6
main:
   push cx
   push di
   pusha
   ; call normvideo
   mov  bx, di
   cmp  bx, 5
   jb   short nomega
        ; call highvideo
        _echo ' '
nomega:
   mov  ax, 10
   call qdelay
   popa
   mov  ax, 1
   mov  bx, 41
   mov  cx, 0
   call random
   pop  di
   pop  cx
   mov  word ptr ds:lotto_n[di], ax
   inc  di
   call putnum
   _echo ' '
   loop main
   _newline
exitptr:
   call dosexit

slotto          endp

lotto_n dw 6 dup(0)

code            ends

ProgramEnd      EQU $-01h

		end	start
